Name:		sshping
Version:	0.1.4
Release:	1%{?dist}
Summary:	ssh-based ping: measure character-echo latency and bandwidth for an interactive ssh session

Group:		Unspecified
License:	MIT
URL:		https://github.com/spook/sshping
Source0:	https://github.com/spook/sshping/archive/v0.1.4.tar.gz

BuildRequires:	libssh-devel gcc-c++ perl-podlators
Requires:	libssh

%global debug_package %{nil}

%description
Use this utility to test the performance of interactive ssh sessions or scp file transfers. It uses ssh to log into a remote system, then runs two tests: the first test sends one character at a time, waiting for each character to be returned while it records the latency time for each. The second test sends a dummy file over scp to /dev/null on the remote system.

For the echo test, you may specify a character count limit (-c) or a test time limit (-t), and also the command (-e) used on the remote system that echoes characters back.

For the speed test, you may specify the number of megabytes to send (-s) and the target location for the copies (-z).


%prep
%setup -q


%build
make %{?_smp_mflags}
make man


%install
mkdir -pv ${RPM_BUILD_ROOT}%{_bindir}/
cp bin/sshping ${RPM_BUILD_ROOT}%{_bindir}/
mkdir -pv ${RPM_BUILD_ROOT}%{_mandir}/man8/
cp doc/sshping.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/
gzip ${RPM_BUILD_ROOT}%{_mandir}/man8/sshping.8
chmod 644 ${RPM_BUILD_ROOT}%{_mandir}/man8/sshping.8.gz

%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_mandir}/*/*



%changelog
* Wed Feb 13 2019 Masaki Furuta <masaki.furuta@gmail.com> - 1.0.4-1
- Initial build

